Subject: bug#48695: [PATCH] Fix region deletion behavior in python.el

From: Jakub Ječmínek <[email-masked]>
Date: Wed, 9 Jul 2025 21:35:50 +0200

On 7/9/25 16:26, kobarity wrote:
> Mostly yes.  I would prefer to add the check for arg being 1 as well.

Thank you — adding a check for `(= arg 1)' makes sense here.

> In any case, it would be better to update the docstring.

Agreed. I’ll send a new patch that includes updated docstrings, ERTs, 
and a NEWS entry. However, before doing that, I’d like to hear Eli’s 
opinion: Is using `delete-active-region' appropriate here, or would it 
be better to introduce a new option specific to `python-mode'?